Operation (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.server.session.Operation class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.server.session
Class Operation

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.authz.server.session.AuthzNamedBean
              org.hyperic.hq.authz.server.session.Operation

All Implemented Interfaces:
  java.io.Serializable

    public class Operation

extends AuthzNamedBean

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hyperic.hq.authz.server.session.AuthzNamedBean
`AuthzNamedBean.Comparator`

Constructor Summary
`protected` | `Operation()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`ResourceType` | `getResourceType()`
`int` | `hashCode()`
`protected void` | `setResourceType(ResourceType resourceType)`

Methods inherited from class org.hyperic.hq.authz.server.session.AuthzNamedBean
`getName, getSortName, setName, setSortName`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Operation

    protected Operation()

Method Detail

### getResourceType

    public ResourceType getResourceType()

### setResourceType

    protected void setResourceType(ResourceType resourceType)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `AuthzNamedBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AuthzNamedBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.